<?php

echo '<p><b>Mise à jour de la base de données <i class="fas fa-angle-double-right"></i> Version 0.56</b></p>
<ul class="maxwidth">';

// Ajout de colonnes dans _etab pour gérer le lieu principal
mysqli_query($bdd,"ALTER TABLE ".$prefix."_etab ADD COLUMN lieu_nom VARCHAR(50)");
mysqli_query($bdd,"ALTER TABLE ".$prefix."_etab ADD COLUMN lieu_genre VARCHAR(10)");
mysqli_query($bdd,"UPDATE ".$prefix."_etab SET lieu_nom = 'CDI', lieu_genre = 'MASC'");
echo '<li>Ajout de colonnes dans _etab pour gérer le nom du lieu principal</li>';

// Ajout de colonne dans _freqres pour gérer une raison
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freqres ADD COLUMN raison TEXT DEFAULT NULL");
echo '<li>Ajout de colonne dans _freqres pour gérer une raison de réservation</li>';

if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freqres_raison_opt'"))==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'freqres_raison_opt', '0', 'Option de raison donnée à la réservation par élève.')");
}
echo '<li>Option de raison donnée à la réservation par élève (désactivée par défaut).</li>';

if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freqres_max'"))==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'freqres_max', '0', 'Maximum de réservations par élève (0 : infini).')");
}
echo '<li>Maximum de réservations par élève (0 : infini par défaut).</li>';

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.56' WHERE param_nom = 'version_bdd'");
echo '<li>Mise à jour de la base de données effectuée - version_bdd 0.56.</li></ul>';
?>